> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/retrieve-an-order.md).

# Retrieve an order

Use the **getOrder** method to retrieve details on a specific order placed with dynamic product information, or catalog products, using the unique, system-generated reference.

## Request parameters <a href="#parameters" id="parameters"></a>

| **Parameters**        | **Type/Description**                                                                                                                                                                                                                    |
| --------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **sessionID**         | **Required (string)**                                                                                                                                                                                                                   |
|                       | Session identifier, the output of the **Login** method. Include **sessionID** into all your requests. 2Checkout throws an exception if the values are incorrect.  The **sessionID** expires in **10 minutes**.                          |
| **orderReference**    | **Required (string)**                                                                                                                                                                                                                   |
|                       | Order reference number of an older order, which is already approved/paid.                                                                                                                                                               |
| **skipPartnerOrders** | **Optional (boolean)**                                                                                                                                                                                                                  |
|                       | <p>Default value = TRUE. </p><p>Decides if the partner orders should be retrieved or not. By default, they are skipped and instead of returning the partner order according to the orderReference, it will return the master order.</p> |

## Response parameters <a href="#response" id="response"></a>

| **Parameters**                                                                                                                                | **Type**                                             |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------- |
| [**Order information**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Responses/006Order_with_catalog_products)      | **Object** (orders with catalog products)            |
| [**Order information**](https://verifone.cloud/docs/2checkout/API-Integration/SOAP_API_6.0/API-Responses/007Order-with-dynamic-products)      | **Object** (orders with dynamic product information) |
| [**WSOrder**](https://verifone.cloud/docs/2checkout/Documentation/07Commerce/Checkout-links-and-options/Manage-store-URLs-for-shopper-emails) | **String**                                           |

{% hint style="warning" %}
Only orders with STATUS = COMPLETE are returned when placing a getOrder API call.
{% endhint %}

### Request sample <a href="#request__00a0" id="request__00a0"></a>

```php
<?php

require ('PATH_TO_AUTH');

$orderReference = 'YOUR_ORDER_REFERENCE';
$skipPartnerOrders = 'FALSE';

try {
    $fullOrderDetails = $client->getOrder ($sessionID, $orderReference, $skipPartnerOrders);
}
catch (SoapFault $e) {
    echo "fullOrderDetails: " . $e->getMessage();
    exit;
}
var_dump("fullOrderDetails", $fullOrderDetails);
?>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.2checkout.com/soap-api-reference/soap-api-6.0/api-requests/retrieve-an-order.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
